Varför fungerar inte Java, Silverlight, Adobe Acrobat och andra insticksmoduler längre?

Stöd för NPAPI-insticksmoduler i Firefox förutom för Adobe Flash kommer att upphör i mars 2017, när Firefox version 52 släpps.Från och med Firefox version 52 kommer stöd för NPAPI-insticksmoduler i Firefox ha upphört, förutom Adobe Flash. Några av de insticksmoduler som inte längre laddas är Java, Microsoft Silverlight och Adobe Acrobat. Läs detta kompatibilitetsdokument för mer information.

Under de senaste åren har Firefox implementerat olika webb-API:er, så att webbplatser kan göra samma saker som de alltid har gjort utan insticksmoduler, så du kommer sannolikt inte att märka någon förändring i din webbläsarupplevelse.

Varför gjorde Firefox detta?

Internet är fullt av webbplatser som går utöver statiska sidor, till exempel video, ljud och spel. NPAPI-insticksmoduler, särskilt Flash, har hjälpt till att aktivera dessa interaktiva sidor. Men de gör också din surfning långsammare, mindre säker och mer benägna att krascha.

Under de senaste åren har Firefox arbetat hårt för att bygga ut ersättningar för dessa insticksmoduler. Tillsammans kallas de webb-API:er. De är utformade för att ersätta funktionerna av insticksmoduler utan att undergräva din internetsäkerhet, stabilitet och prestanda.

Innan var dessa webb-API:er inte helt redo, så Firefox startade övergången genom att lägga till insticksmoduler manuellt ("klicka för att aktivera").

Idag är de redo. Många webbplatser har börjat använda dem och nästan alla dina favoritsidor kan avnjutas utan att använda gamla och osäkra insticksmoduler. Firefox har anslutit sig till andra moderna webbläsare som Google Chrome och Microsoft Edge för att ta bort stöd för dessa NPAPI-insticksmoduler.

Jag har problem

Om du inte är redo för den här övergången, kommer ESR (Extended Support Release) av Firefox 52 att fortsätta att stödja dessa insticksmoduler tills början av 2018. Klicka på här för att ladda ner Firefox ESR.

Viktigt: Windows 64-bitarsversionen av Firefox 52 ESR stöder endast insticksmoduler Adobe Flash och Microsoft Silverlight. Om du behöver support för Java eller andra insticksmoduler, välj Windows (32-bitars) nedladdning.

Som standard använder Firefox 52 ESR samma användarprofildata som andra versioner av Firefox. Installera Firefox 52 ESR efter att ha använt Firefox version 55 eller senare kan orsaka problem som felmeddelanden, brister i delar av Firefox och problem med vissa webbplatser. Du bör antingen skapa en ny profil för att använda med Firefox 52 ESR eller återställa Firefox efter att ha installerat Firefox 52 ESR.

Var den här artikeln till hjälp? Vänligen vänta...

Dessa fina människor hjälpte till att skriva den här artikeln: Andreas Pettersson. Du kan också hjälpa till - ta reda på hur.